MAC版MAMP PHP版本切换

493次阅读
没有评论

共计 594 个字符,预计需要花费 2 分钟才能阅读完成。

MAC 电脑每次升级系统之后,环境变量多多少少都会有些变化,此时需要重新配置:

修改路径 ~/.bash_profile:

export PATH="/Applications/MAMP/bin/php/php8.1.13/bin:$PATH"

然后执行命令,使其生效:source ~/.bash_profile

如果需要切换 PHP 版本的,可以通过修改上述路径实现。

注意

~/.bash_profile 的作用有可能不是持久的,电脑重启后又会失效,每次都需要执行一次 source ~/.bash_profile。

上述配置,也可配置于~/.zshrc,并执行 source ~/.zshrc 来生效,这样每次开机都会自动加载。

MAMP 面板 PHP 版本切换

对于很多用户来说,MAMP 的免费版简洁够用,但是面板切换的 PHP 版本通常只有两个选项,而且自己无法修改这个配置,不能指定,只有升级之后才可以。

此时有一个办法,就是将 MAMP 的不需要 PHP 版本文件夹重命名一下即可。

比如,laravel9 对于 PHP 最高支持到 8.1+,还不支持最新的 8.2 版本,但是 MAMP 默认只有 PHP7 和 PHP8.2,非常尴尬,此时我们只需要将 PHP8.2 的文件夹重命名即可,路径如下:

/Applications/MAMP/bin/php/php8.2.0

# 将上述路径的文件夹 php8.2.0 修改为 php8.2.0-backup, 重启 MAMP 即可 
正文完
加入官方交流QQ群:778957856
post-qrcode
 
clark
版权声明:本站原创文章,由 clark 2023-01-31发表,共计594字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
评论(没有评论)